Bug 1695929 (CVE-2018-4300) - CVE-2018-4300 cups: Session cookie generated by the CUPS web interface is easy to guess
Summary: CVE-2018-4300 cups: Session cookie generated by the CUPS web interface is eas...
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2018-4300
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1651575 1870401
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-04-03 22:50 UTC by Pedro Sampaio
Modified: 2021-02-16 22:09 UTC (History)
14 users (show)

Fixed In Version: cups 2.2.10
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-06-04 12:52:33 UTC


Attachments (Terms of Use)

Description Pedro Sampaio 2019-04-03 22:50:42 UTC
The session cookie generated by the CUPS web interface was easy to guess on Linux, allowing unauthorized scripted access to the web interface when the web interface is enabled. This issue affected versions prior to v2.2.10.

References:

https://github.com/apple/cups/releases/tag/v2.2.10

Comment 1 Zdenek Dohnal 2019-04-04 05:34:57 UTC
Hi Pedro,

IMO it is the same vulnerability which is being taken care of in https://bugzilla.redhat.com/show_bug.cgi?id=1649347 .

Comment 2 Zdenek Dohnal 2019-04-04 05:37:00 UTC
Or at least it is the same patch which fixes it :) .

Comment 7 Zdenek Dohnal 2019-06-04 12:52:33 UTC
Based on upstream ticket https://github.com/apple/cups/issues/5561 closing as duplicate.

*** This bug has been marked as a duplicate of bug 1649347 ***

Comment 10 Doran Moppert 2020-08-20 01:19:28 UTC
Statement:

This vulnerability was originally assigned CVE-2018-4700, but after the publication of security errata the identifier was changed to CVE-2018-4300.  Both identifiers refer to the same vulnerability.  Since some sources use CVE-2018-4700 and others use CVE-2018-4300, Red Hat security advisories for this vulnerability have been amended to include both identifiers.


Note You need to log in before you can comment on or make changes to this bug.